

    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]

   for {set index 0} {$index < 32} {incr index} {
     DefineRegister $Module xVME Counter$index     "-a $A32Base -w 32 -o [expr 0x1000+($index*4)] -p ro -d 32 -l 0 -b 0 -z d"
   }
 
   DefineRegister $Module xVME Enables             "-a $A32Base -w 32 -o 0x1100 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Dwell               "-a $A32Base -w 32 -o 0x1104 -p rw -d 32 -l 0 -b 0 -z x -i 0"
   DefineRegister $Module xVME CR                  "-a $A32Base -w 32 -o 0x1108 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Mode                "-a $A32Base -w 32 -o 0x110a -p rw -d 16 -l 2 -b 0 -z d"
   DefineRegister $Module xVME BitSet              "-a $A32Base -w 32 -o 0x110c -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME BitClr              "-a $A32Base -w 32 -o 0x1108 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME SR                  "-a $A32Base -w 32 -o 0x110e -p ro -d 16 -l 0 -b 0 -z d -i 0"
   DefineRegister $Module xVME Clear               "-a $A32Base -w 32 -o 0x1122 -p wo -d 16 -l 0 -b 0 -i 0"
   DefineRegister $Module xVME Trig                "-a $A32Base -w 32 -o 0x1124 -p wo -d 16 -l 0 -b 0"

puts "Defined $Module"

